Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class DefinitionLoader

    java.lang.Object
      org.codehaus.aspectwerkz.definition.DefinitionLoader

    public class DefinitionLoader

extends Object

TODO remove class and move single method to SystemDefinitionContainer?s

Handles the loading of the definition in various ways and formats.

Author:
  Jonas Bonr

Field Summary
`static String` | `DEFAULT_DEFINITION_FILE_NAME` The default name for the definition file.
`static String` | `DEFAULT_SYSTEM` The UUID of the single AspectWerkz system if only one definition is used.
`static String` | `DEFINITION_FILE` The path to the definition file.

Constructor Summary
`DefinitionLoader()`

Method Summary
`static Set` | `getDefaultDefinition(ClassLoader loader)` Returns the default defintion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SYSTEM

    public static final String DEFAULT_SYSTEM

  The UUID of the single AspectWerkz system if only one definition is used.

  See Also:
    Constant Field Values

### DEFINITION_FILE

    public static final String DEFINITION_FILE

  The path to the definition file.

### DEFAULT_DEFINITION_FILE_NAME

    public static final String DEFAULT_DEFINITION_FILE_NAME

  The default name for the definition file.

  See Also:
    Constant Field Values

Constructor Detail

### DefinitionLoader

    public DefinitionLoader()

Method Detail

### getDefaultDefinition

    public static Set getDefaultDefinition(ClassLoader loader)

  Returns the default defintion.

  Parameters:
    `loader` -
  Returns:
    the default defintion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.